Index: libcfa/src/concurrency/kernel.cfa
===================================================================
--- libcfa/src/concurrency/kernel.cfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/kernel.cfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -10,6 +10,6 @@
 // Created On       : Tue Jan 17 12:27:26 2017
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Mon Jan  9 08:42:05 2023
-// Update Count     : 77
+// Last Modified On : Fri Apr 25 07:02:42 2025
+// Update Count     : 82
 //
 
@@ -45,5 +45,5 @@
 #pragma GCC diagnostic pop
 
-#if !defined(__CFA_NO_STATISTICS__)
+#if ! defined(__CFA_NO_STATISTICS__)
 	#define __STATS_DEF( ...) __VA_ARGS__
 #else
@@ -158,6 +158,6 @@
 
 	__cfadbg_print_safe(runtime_core, "Kernel : core %p starting\n", this);
-	#if !defined(__CFA_NO_STATISTICS__)
-		if( this->print_halts ) {
+	#if ! defined(__CFA_NO_STATISTICS__)
+		if ( this->print_halts ) {
 			__cfaabi_bits_print_safe( STDOUT_FILENO, "Processor : %d - %s (%p)\n", this->unique_id, this->name, (void*)this);
 		}
@@ -169,5 +169,5 @@
 
 		// if we need to run some special setup, now is the time to do it.
-		if(this->init.thrd) {
+		if (this->init.thrd) {
 			this->init.thrd->curr_cluster = this->cltr;
 			__run_thread(this, this->init.thrd);
@@ -185,5 +185,5 @@
 			readyThread = __next_thread( this->cltr );
 
-			if( !readyThread ) {
+			if ( ! readyThread ) {
 				// there is no point in holding submissions if we are idle
 				__IO_STATS__(true, io.flush.idle++; )
@@ -196,8 +196,8 @@
 			}
 
-			if( !readyThread ) for(5) {
+			if ( ! readyThread ) for(5) {
 				readyThread = __next_thread_slow( this->cltr );
 
-				if( readyThread ) break;
+				if ( readyThread ) break;
 
 				// It's unlikely we still I/O to submit, but the arbiter could
@@ -210,14 +210,14 @@
 
 			HALT:
-			if( !readyThread ) {
+			if ( ! readyThread ) {
 				// Don't block if we are done
-				if( __atomic_load_n(&this->do_terminate, __ATOMIC_SEQ_CST) ) break MAIN_LOOP;
+				if ( __atomic_load_n(&this->do_terminate, __ATOMIC_SEQ_CST) ) break MAIN_LOOP;
 
 				// Push self to idle stack
-				if(!mark_idle(this->cltr->procs, * this)) continue MAIN_LOOP;
+				if ( ! mark_idle(this->cltr->procs, * this)) continue MAIN_LOOP;
 
 				// Confirm the ready-queue is empty
 				readyThread = __next_thread_search( this->cltr );
-				if( readyThread ) {
+				if ( readyThread ) {
 					// A thread was found, cancel the halt
 					mark_awake(this->cltr->procs, * this);
@@ -247,7 +247,7 @@
 
 			// Are we done?
-			if( __atomic_load_n(&this->do_terminate, __ATOMIC_SEQ_CST) ) break MAIN_LOOP;
-
-			if(__atomic_load_n(&this->io.pending, __ATOMIC_RELAXED) && !__atomic_load_n(&this->io.dirty, __ATOMIC_RELAXED)) {
+			if ( __atomic_load_n(&this->do_terminate, __ATOMIC_SEQ_CST) ) break MAIN_LOOP;
+
+			if (__atomic_load_n(&this->io.pending, __ATOMIC_RELAXED) && ! __atomic_load_n(&this->io.dirty, __ATOMIC_RELAXED)) {
 				__IO_STATS__(true, io.flush.dirty++; )
 				__cfa_io_flush( this );
@@ -263,5 +263,5 @@
 	post( this->terminated );
 
-	if(this == mainProcessor) {
+	if (this == mainProcessor) {
 		// HACK : the coroutine context switch expects this_thread to be set
 		// and it make sense for it to be set in all other cases except here
@@ -294,5 +294,6 @@
 
 	// Actually run the thread
-	RUNNING:  while(true) {
+	RUNNING:
+	while( true ) {
 		thrd_dst->preempted = __NO_PREEMPTION;
 
@@ -339,5 +340,5 @@
 		// In case 2, we lost the race so we now own the thread.
 
-		if(unlikely(thrd_dst->preempted != __NO_PREEMPTION)) {
+		if (unlikely(thrd_dst->preempted != __NO_PREEMPTION)) {
 			// Reset the this_thread now that we know
 			// the state isn't active anymore
@@ -349,5 +350,5 @@
 		}
 
-		if(unlikely(thrd_dst->state == Halting)) {
+		if (unlikely(thrd_dst->state == Halting)) {
 			// Reset the this_thread now that we know
 			// the state isn't active anymore
@@ -418,7 +419,7 @@
 	}
 
-	#if !defined(__CFA_NO_STATISTICS__)
+	#if ! defined(__CFA_NO_STATISTICS__)
 		/* paranoid */ verify( thrd_src->last_proc != 0p );
-		if(thrd_src->last_proc != kernelTLS().this_processor) {
+		if (thrd_src->last_proc != kernelTLS().this_processor) {
 			__tls_stats()->ready.threads.migration++;
 		}
@@ -440,7 +441,7 @@
 	/* paranoid */ verify( thrd->curr_cluster );
 	/* paranoid */ #if defined( __CFA_WITH_VERIFY__ )
-	/* paranoid */ 	if( thrd->state == Blocked || thrd->state == Start ) assertf( thrd->preempted == __NO_PREEMPTION,
+	/* paranoid */ 	if ( thrd->state == Blocked || thrd->state == Start ) assertf( thrd->preempted == __NO_PREEMPTION,
 					"Error inactive thread marked as preempted, state %d, preemption %d\n", thrd->state, thrd->preempted );
-	/* paranoid */ 	if( thrd->preempted != __NO_PREEMPTION ) assertf(thrd->state == Active,
+	/* paranoid */ 	if ( thrd->preempted != __NO_PREEMPTION ) assertf(thrd->state == Active,
 					"Error preempted thread marked as not currently running, state %d, preemption %d\n", thrd->state, thrd->preempted );
 	/* paranoid */ #endif
@@ -463,8 +464,8 @@
 	__wake_one( cl );
 
-	#if !defined(__CFA_NO_STATISTICS__)
-		if( kernelTLS().this_stats ) {
+	#if ! defined(__CFA_NO_STATISTICS__)
+		if ( kernelTLS().this_stats ) {
 			__tls_stats()->ready.threads.threads++;
-			if(outside) {
+			if (outside) {
 				__tls_stats()->ready.threads.extunpark++;
 			}
@@ -542,7 +543,7 @@
 	/* paranoid */ verify( ready_schedule_islocked());
 
-	if( !thrd ) return;
-
-	if(__must_unpark(thrd)) {
+	if ( ! thrd ) return;
+
+	if (__must_unpark(thrd)) {
 		// Wake lost the race,
 		__schedule_thread( thrd, hint );
@@ -554,7 +555,7 @@
 
 void unpark( thread$ * thrd, unpark_hint hint ) libcfa_public {
-	if( !thrd ) return;
-
-	if(__must_unpark(thrd)) {
+	if ( ! thrd ) return;
+
+	if (__must_unpark(thrd)) {
 		disable_interrupts();
 			// Wake lost the race,
@@ -592,7 +593,7 @@
 		/* paranoid */ verifyf( ((uintptr_t)thrd->context.SP) < ((uintptr_t)__get_stack(thrd->curr_cor)->base ), "ERROR : thread$ %p has been corrupted.\n StackPointer too small.\n", thrd );
 
-		if( TICKET_RUNNING != thrd->ticket ) { abort( "Thread terminated with pending unpark" ); }
-		if( thrd != this->owner ) { abort( "Thread internal monitor has incorrect owner" ); }
-		if( this->recursion != 1) { abort( "Thread internal monitor has unbalanced recursion" ); }
+		if ( TICKET_RUNNING != thrd->ticket ) { abort( "Thread terminated with pending unpark" ); }
+		if ( thrd != this->owner ) { abort( "Thread internal monitor has incorrect owner" ); }
+		if ( this->recursion != 1) { abort( "Thread internal monitor has unbalanced recursion" ); }
 
 		thrd->state = Halting;
@@ -618,5 +619,5 @@
 		// If that is the case, abandon the preemption.
 		bool preempted = false;
-		if(thrd->rdy_link.next == 0p) {
+		if (thrd->rdy_link.next == 0p) {
 			preempted = true;
 			thrd->preempted = reason;
@@ -641,8 +642,8 @@
 
 	// If no one is sleeping: we are done
-	if( fdp == 0p ) return;
+	if ( fdp == 0p ) return;
 
 	int fd = 1;
-	if( __atomic_load_n(&fdp->sem, __ATOMIC_SEQ_CST) != 1 ) {
+	if ( __atomic_load_n(&fdp->sem, __ATOMIC_SEQ_CST) != 1 ) {
 		fd = __atomic_exchange_n(&fdp->sem, 1, __ATOMIC_RELAXED);
 	}
@@ -652,6 +653,6 @@
 	case 0:
 		// If the processor isn't ready to sleep then the exchange will already wake it up
-		#if !defined(__CFA_NO_STATISTICS__)
-			if( kernelTLS().this_stats ) { __tls_stats()->ready.sleep.early++;
+		#if ! defined(__CFA_NO_STATISTICS__)
+			if ( kernelTLS().this_stats ) { __tls_stats()->ready.sleep.early++;
 			} else { __atomic_fetch_add(&this->stats->ready.sleep.early, 1, __ATOMIC_RELAXED); }
 		#endif
@@ -659,6 +660,6 @@
 	case 1:
 		// If someone else already said they will wake them: we are done
-		#if !defined(__CFA_NO_STATISTICS__)
-			if( kernelTLS().this_stats ) { __tls_stats()->ready.sleep.seen++;
+		#if ! defined(__CFA_NO_STATISTICS__)
+			if ( kernelTLS().this_stats ) { __tls_stats()->ready.sleep.seen++;
 			} else { __atomic_fetch_add(&this->stats->ready.sleep.seen, 1, __ATOMIC_RELAXED); }
 		#endif
@@ -670,6 +671,6 @@
 		/* paranoid */ verifyf( ret == 0, "Expected return to be 0, was %d\n", ret );
 
-		#if !defined(__CFA_NO_STATISTICS__)
-			if( kernelTLS().this_stats ) { __tls_stats()->ready.sleep.wakes++;
+		#if ! defined(__CFA_NO_STATISTICS__)
+			if ( kernelTLS().this_stats ) { __tls_stats()->ready.sleep.wakes++;
 			} else { __atomic_fetch_add(&this->stats->ready.sleep.wakes, 1, __ATOMIC_RELAXED); }
 		#endif
@@ -710,8 +711,8 @@
 
 		// Someone already told us to wake-up! No time for a nap.
-		if(expected == 1) { return; }
+		if (expected == 1) { return; }
 
 		// Try to mark that we are going to sleep
-		if(__atomic_compare_exchange_n(&this->idle_wctx.sem, &expected, this->idle_wctx.evfd, false,  __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST) ) {
+		if (__atomic_compare_exchange_n(&this->idle_wctx.sem, &expected, this->idle_wctx.evfd, false,  __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST) ) {
 			// Every one agreed, taking a nap
 			break;
@@ -720,6 +721,6 @@
 
 
-	#if !defined(__CFA_NO_STATISTICS__)
-		if(this->print_halts) {
+	#if ! defined(__CFA_NO_STATISTICS__)
+		if (this->print_halts) {
 			__cfaabi_bits_print_safe( STDOUT_FILENO, "PH:%d - %lld 0\n", this->unique_id, rdtscl());
 		}
@@ -731,5 +732,5 @@
 		eventfd_t val;
 		ssize_t ret = read( this->idle_wctx.evfd, &val, sizeof(val) );
-		if(ret < 0) {
+		if (ret < 0) {
 			switch((int)errno) {
 			case EAGAIN:
@@ -746,6 +747,6 @@
 	}
 
-	#if !defined(__CFA_NO_STATISTICS__)
-		if(this->print_halts) {
+	#if ! defined(__CFA_NO_STATISTICS__)
+		if (this->print_halts) {
 			__cfaabi_bits_print_safe( STDOUT_FILENO, "PH:%d - %lld 1\n", this->unique_id, rdtscl());
 		}
@@ -759,5 +760,5 @@
 
 	/* paranoid */ verify( ! __preemption_enabled() );
-	if(!try_lock( this )) return false;
+	if ( ! try_lock( this )) return false;
 		this.idle++;
 		/* paranoid */ verify( this.idle <= this.total );
@@ -784,5 +785,5 @@
 			// update the pointer to the head wait context
 			struct __fd_waitctx * wctx = 0;
-			if(!this.idles`isEmpty) wctx = &this.idles`first.idle_wctx;
+			if ( ! isEmpty( this.idles )) wctx = &first( this. idles ).idle_wctx;
 			__atomic_store_n(&this.fdw, wctx, __ATOMIC_SEQ_CST);
 		}
@@ -798,5 +799,5 @@
 	thread$ * thrd = __cfaabi_tls.this_thread;
 
-	if(thrd) {
+	if (thrd) {
 		int len = snprintf( abort_text, abort_text_size, "Error occurred while executing thread %.256s (%p)", thrd->self_cor.name, thrd );
 		__cfaabi_bits_write( STDERR_FILENO, abort_text, len );
@@ -847,5 +848,5 @@
 //-----------------------------------------------------------------------------
 // Statistics
-#if !defined(__CFA_NO_STATISTICS__)
+#if ! defined(__CFA_NO_STATISTICS__)
 	void print_halts( processor & this ) libcfa_public {
 		this.print_halts = true;
@@ -855,5 +856,5 @@
 		/* paranoid */ verify( cltr->stats );
 
-		processor * it = &list`first;
+		processor * it = &first( list );
 		for(unsigned i = 0; i < count; i++) {
 			/* paranoid */ verifyf( it, "Unexpected null iterator, at index %u of %u\n", i, count);
@@ -861,5 +862,5 @@
 			// __print_stats( it->local_data->this_stats, cltr->print_stats, "Processor", it->name, (void*)it );
 			__tally_stats( cltr->stats, it->local_data->this_stats );
-			it = &(*it)`next;
+			it = &next( *it );
 		}
 	}
Index: libcfa/src/concurrency/kernel/cluster.cfa
===================================================================
--- libcfa/src/concurrency/kernel/cluster.cfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/kernel/cluster.cfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -234,5 +234,5 @@
 
 static void assign_list(unsigned & valrq, unsigned & valio, dlist(struct processor) & list, unsigned count) {
-	struct processor * it = &list`first;
+	struct processor * it = &first( list );
 	for(unsigned i = 0; i < count; i++) {
 		/* paranoid */ verifyf( it, "Unexpected null iterator, at index %u of %u\n", i, count);
@@ -245,5 +245,5 @@
 			valio += __shard_factor.io;
 		#endif
-		it = &(*it)`next;
+		it = &next( *it );
 	}
 }
@@ -258,10 +258,10 @@
 #if defined(CFA_HAVE_LINUX_IO_URING_H)
 	static void assign_io(io_context$ ** data, size_t count, dlist(struct processor) & list) {
-		struct processor * it = &list`first;
+		struct processor * it = &first( list );
 		while(it) {
 			/* paranoid */ verifyf( it, "Unexpected null iterator\n");
 			/* paranoid */ verifyf( it->io.ctx->cq.id < count, "Processor %p has id %u above count %zu\n", it, it->rdq.id, count);
 			data[it->io.ctx->cq.id] = it->io.ctx;
-			it = &(*it)`next;
+			it = &next( *it );
 		}
 	}
Index: libcfa/src/concurrency/kernel/private.hfa
===================================================================
--- libcfa/src/concurrency/kernel/private.hfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/kernel/private.hfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -10,6 +10,6 @@
 // Created On       : Mon Feb 13 12:27:26 2017
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Thu Mar  2 16:04:46 2023
-// Update Count     : 11
+// Last Modified On : Mon Apr 21 18:08:48 2025
+// Update Count     : 12
 //
 
@@ -287,6 +287,5 @@
 static inline [unsigned, uint_fast32_t] ready_mutate_register() {
 	unsigned id = register_proc_id();
-	uint_fast32_t last = ready_mutate_lock();
-	return [id, last];
+	return [id, ready_mutate_lock()];
 }
 
Index: libcfa/src/concurrency/kernel/startup.cfa
===================================================================
--- libcfa/src/concurrency/kernel/startup.cfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/kernel/startup.cfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -69,6 +69,6 @@
 //-----------------------------------------------------------------------------
 // Start and stop routine for the kernel, declared first to make sure they run first
-static void __kernel_startup (void) __attribute__(( constructor( STARTUP_PRIORITY_KERNEL ) ));
-static void __kernel_shutdown(void) __attribute__(( destructor ( STARTUP_PRIORITY_KERNEL ) ));
+static void __kernel_startup(void) __attribute__(( constructor( STARTUP_PRIORITY_KERNEL ) ));
+static void __kernel_shutdown(void) __attribute__(( destructor( STARTUP_PRIORITY_KERNEL ) ));
 
 //-----------------------------------------------------------------------------
@@ -78,5 +78,5 @@
 static void * __invoke_processor(void * arg);
 static void __kernel_first_resume( processor * this );
-static void __kernel_last_resume ( processor * this );
+static void __kernel_last_resume( processor * this );
 static void init(processor & this, const char name[], cluster & _cltr, thread$ * initT);
 static void deinit(processor & this);
@@ -99,5 +99,5 @@
 extern void __kernel_alarm_shutdown(void);
 extern void __cfa_io_start( processor * );
-extern void __cfa_io_stop ( processor * );
+extern void __cfa_io_stop( processor * );
 
 //-----------------------------------------------------------------------------
@@ -110,15 +110,15 @@
 //-----------------------------------------------------------------------------
 // Kernel storage
-KERNEL_STORAGE(cluster,	             mainCluster);
-KERNEL_STORAGE(processor,            mainProcessor);
-KERNEL_STORAGE(thread$,	             mainThread);
-KERNEL_STORAGE(__stack_t,            mainThreadCtx);
+KERNEL_STORAGE(cluster, mainCluster);
+KERNEL_STORAGE(processor, mainProcessor);
+KERNEL_STORAGE(thread$, mainThread);
+KERNEL_STORAGE(__stack_t, mainThreadCtx);
 #if !defined(__CFA_NO_STATISTICS__)
 KERNEL_STORAGE(__stats_t, mainProcStats);
 #endif
 
-cluster              * mainCluster libcfa_public;
-processor            * mainProcessor;
-thread$              * mainThread;
+cluster * mainCluster libcfa_public;
+processor * mainProcessor;
+thread$ * mainThread;
 
 extern "C" {
@@ -150,8 +150,8 @@
 // Struct to steal stack
 struct current_stack_info_t {
-	__stack_t * storage;  // pointer to stack object
-	void * base;          // base of stack
-	void * limit;         // stack grows towards stack limit
-	void * context;       // address of cfa_context_t
+	__stack_t * storage;								// pointer to stack object
+	void * base;										// base of stack
+	void * limit;										// stack grows towards stack limit
+	void * context;										// address of cfa_context_t
 };
 
@@ -234,5 +234,5 @@
 	//initialize the global state variables
 	__cfaabi_tls.this_processor = mainProcessor;
-	__cfaabi_tls.this_thread    = mainThread;
+	__cfaabi_tls.this_thread = mainThread;
 
 	#if !defined( __CFA_NO_STATISTICS__ )
@@ -355,5 +355,5 @@
 	processor * proc = (processor *) arg;
 	__cfaabi_tls.this_processor = proc;
-	__cfaabi_tls.this_thread    = 0p;
+	__cfaabi_tls.this_thread = 0p;
 	__cfaabi_tls.preemption_state.[enabled, disable_count] = [false, 1];
 	proc->local_data = &__cfaabi_tls;
@@ -477,6 +477,6 @@
 	stack.storage = info->storage;
 	with(*stack.storage) {
-		limit     = info->limit;
-		base      = info->base;
+		limit = info->limit;
+		base = info->base;
 	}
 	__attribute__((may_alias)) intptr_t * istorage = (intptr_t*) &stack.storage;
@@ -485,9 +485,9 @@
 	state = Start;
 	starter = 0p;
-	last = 0p;
+	this.last = 0p;
 	cancellation = 0p;
-    ehm_state.ehm_buffer{};
-    ehm_state.buffer_lock{};
-    ehm_state.ehm_enabled = false;
+	ehm_state.ehm_buffer{};
+	ehm_state.buffer_lock{};
+	ehm_state.ehm_enabled = false;
 }
 
@@ -502,5 +502,5 @@
 	self_mon_p = &self_mon;
 	rdy_link.next = 0p;
-	rdy_link.ts   = MAX;
+	rdy_link.ts = MAX;
 	user_link.next = 0p;
 	user_link.prev = 0p;
@@ -509,5 +509,5 @@
 	preferred = ready_queue_new_preferred();
 	last_proc = 0p;
-	PRNG_SET_SEED( random_state,  __global_random_mask ? __global_random_prime : __global_random_prime ^ rdtscl() );
+	PRNG_SET_SEED( random_state, __global_random_mask ? __global_random_prime : __global_random_prime ^ rdtscl() );
 	#if defined( __CFA_WITH_VERIFY__ )
 		executing = 0p;
@@ -531,8 +531,8 @@
 	this.name = name;
 	this.cltr = &_cltr;
-    __atomic_add_fetch( &_cltr.procs.constructed, 1u, __ATOMIC_RELAXED );
+	__atomic_add_fetch( &_cltr.procs.constructed, 1u, __ATOMIC_RELAXED );
 	this.rdq.its = 0;
 	this.rdq.itr = 0;
-	this.rdq.id  = 0;
+	this.rdq.id = 0;
 	this.rdq.target = MAX;
 	this.rdq.last = MAX;
@@ -545,5 +545,5 @@
 	this.io.ctx = 0p;
 	this.io.pending = false;
-	this.io.dirty   = false;
+	this.io.dirty = false;
 
 	this.init.thrd = initT;
@@ -599,5 +599,5 @@
 	__cfadbg_print_safe(runtime_core, "Kernel : core %p signaling termination\n", &this);
 
-    __atomic_sub_fetch( &this.cltr->procs.constructed, 1u, __ATOMIC_RELAXED );
+	__atomic_sub_fetch( &this.cltr->procs.constructed, 1u, __ATOMIC_RELAXED );
 
 	__atomic_store_n(&do_terminate, true, __ATOMIC_RELAXED);
@@ -619,7 +619,7 @@
 // Cluster
 static void ?{}(__cluster_proc_list & this) {
-	this.fdw   = 0p;
-	this.idle  = 0;
-    this.constructed = 0;
+	this.fdw = 0p;
+	this.idle = 0;
+	this.constructed = 0;
 	this.total = 0;
 }
@@ -706,12 +706,12 @@
 //-----------------------------------------------------------------------------
 // Global Queues
-static void doregister( cluster     & cltr ) {
-	lock      ( __cfa_dbg_global_clusters.lock __cfaabi_dbg_ctx2);
+static void doregister( cluster & cltr ) {
+	lock( __cfa_dbg_global_clusters.lock __cfaabi_dbg_ctx2);
 	push_front( __cfa_dbg_global_clusters.list, cltr );
-	unlock    ( __cfa_dbg_global_clusters.lock );
-}
-
-static void unregister( cluster     & cltr ) {
-	lock  ( __cfa_dbg_global_clusters.lock __cfaabi_dbg_ctx2);
+	unlock( __cfa_dbg_global_clusters.lock );
+}
+
+static void unregister( cluster & cltr ) {
+	lock( __cfa_dbg_global_clusters.lock __cfaabi_dbg_ctx2);
 	remove( __cfa_dbg_global_clusters.list, cltr );
 	unlock( __cfa_dbg_global_clusters.lock );
@@ -719,12 +719,12 @@
 
 void doregister( cluster * cltr, thread$ & thrd ) {
-	lock      (cltr->thread_list_lock __cfaabi_dbg_ctx2);
+	lock(cltr->thread_list_lock __cfaabi_dbg_ctx2);
 	cltr->nthreads += 1;
 	insert_first(cltr->threads, thrd);
-	unlock    (cltr->thread_list_lock);
+	unlock(cltr->thread_list_lock);
 }
 
 void unregister( cluster * cltr, thread$ & thrd ) {
-	lock  (cltr->thread_list_lock __cfaabi_dbg_ctx2);
+	lock(cltr->thread_list_lock __cfaabi_dbg_ctx2);
 	{
 		tytagref( dlink(thread$), dlink(thread$) ) ?`inner( thread$ & this ) = void;
